Bug 1417101 - Arbiter flag is not present in the brick path for arbiter bricks when arbiter volume is created from UI.
Summary: Arbiter flag is not present in the brick path for arbiter bricks when arbiter...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: Frontend.WebAdmin
Version: 4.1.0.2
Hardware: Unspecified
OS: Unspecified
medium
medium vote
Target Milestone: ovirt-4.1.2
: 4.1.2
Assignee: Sahina Bose
QA Contact: RamaKasturi
URL:
Whiteboard:
Depends On:
Blocks: Gluster-HC-2
TreeView+ depends on / blocked
 
Reported: 2017-01-27 08:56 UTC by RamaKasturi
Modified: 2017-05-23 08:17 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-23 08:17:05 UTC
oVirt Team: Gluster
rule-engine: ovirt-4.1+
rule-engine: planning_ack+
rnachimu: devel_ack+
rule-engine: testing_ack+


Attachments (Terms of Use)
screenshot for arbiter brick path (159.87 KB, image/png)
2017-05-22 09:14 UTC, RamaKasturi
no flags Details


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 73024 master MERGED gluster: add arbiter flag for bricks 2017-02-24 10:23:43 UTC
oVirt gerrit 73027 ovirt-engine-4.1 MERGED gluster: add arbiter flag for bricks 2017-02-24 12:21:47 UTC

Description RamaKasturi 2017-01-27 08:56:08 UTC
Description of problem:
When arbiter volume is created from UI i see that arbiter flag is not present in the brick path for arbiter bricks. Attaching screenshot for the same.

Version-Release number of selected component (if applicable):
ovirt-engine-4.1.0.2-0.1.el7.noarch


How reproducible:
Always

Steps to Reproduce:
1. Install latest ovirt
2. Now create a arbiter volume from UI
3. click on Bricks subtab

Actual results:
I see that arbiter flag is not present in the brick path for arbiter brick.

Expected results:
Arbiter flag should be present in the brick path for arbiter brick.

Additional info:

Comment 1 RamaKasturi 2017-05-22 09:14:39 UTC
Created attachment 1280971 [details]
screenshot for arbiter brick path

Comment 2 RamaKasturi 2017-05-22 09:15:26 UTC
Verified and works fine with build Red Hat Virtualization Manager Version: 4.1.2.2-0.1.el7.

When an arbiter volume is created from UI, arbiter flag is present in the brick path for arbiter brick.

Attached screenshot for the same at comment 1


Note You need to log in before you can comment on or make changes to this bug.